Bug 1735044 - community-mysql: FTBFS in Fedora rawhide/f31
Summary: community-mysql: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 18:02 UTC by Fedora Release Engineering
Modified: 2019-10-31 08:38 UTC (History)
4 users (show)

Fixed In Version: community-mysql-8.0.17-2.fc30 community-mysql-8.0.17-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-04 02:28:11 UTC
mmuzila: needinfo-


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2019-07-31 18:03 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 18:03 UTC, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2019-07-31 18:03 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 18:02:47 UTC
community-mysql failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632506


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix community-mysql at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
community-mysql will be orphaned. Before branching of Fedora 32,
community-mysql will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 18:03:25 UTC
Created attachment 1595666 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2019-07-31 18:03:29 UTC
Created attachment 1595667 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 18:03:31 UTC
Created attachment 1595668 [details]
state.log

Comment 4 Michal Schorm 2019-08-02 16:56:03 UTC
Yeah:

| Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/community-mysql-8.0.16-3.fc31.aarch64
| BUILDSTDERR: error: Installed (but unpackaged) file(s) found:
| BUILDSTDERR:    /usr/bin/zlib_decompress
| BUILDSTDERR:    /usr/lib/debug/usr/bin/zlib_decompress-8.0.16-3.fc31.aarch64.debug
| RPM build errors:
| BUILDSTDERR:     absolute symlink: /usr/sbin/mysqld -> /usr/libexec/mysqld
| BUILDSTDERR:     File listed twice: /usr/lib/.build-id/5f/332184f9e4d0a5f8a956759eccebeb16ef90ba
| BUILDSTDERR:     Installed (but unpackaged) file(s) found:
| BUILDSTDERR:    /usr/bin/zlib_decompress
| BUILDSTDERR:    /usr/lib/debug/usr/bin/zlib_decompress-8.0.16-3.fc31.aarch64.debug

Seems like some buildroot change triggered making of a new binary "/usr/bin/zlib_decompress".

We need to check if that's desirable; hopefully find a CMake option to controll it and add it to the %files section to the correct subpackage.

Comment 5 Michal Schorm 2019-08-02 17:01:34 UTC
Whoa, it haven't got a successful build since "2019-06-25 07:42:37"
https://apps.fedoraproject.org/koschei/package/community-mysql?last_seen_ts=1562154543&collection=f31

Last week a 8.0.17 version was released.
We should rebase anyway and fix this in the meantime.

Maybe Matěj Muzila could do it? I'll be on vacation for next 2 weeks.

Comment 6 Ben Cotton 2019-08-13 17:11:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 7 Ben Cotton 2019-08-13 18:35:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 8 Fedora Update System 2019-08-26 22:46:45 UTC
FEDORA-2019-96516ce0ac has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-96516ce0ac

Comment 9 Fedora Update System 2019-08-26 22:46:54 UTC
FEDORA-MODULAR-2019-74e1876b27 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-74e1876b27

Comment 10 Fedora Update System 2019-08-27 15:43:52 UTC
mysql-8.0-2920190823234131.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-74e1876b27

Comment 11 Fedora Update System 2019-08-27 16:17:56 UTC
mysql-8.0-3020190823234131.a5b0195c has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-5954e4c3bb

Comment 12 Fedora Update System 2019-08-27 18:22:04 UTC
community-mysql-8.0.17-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c106e46a95

Comment 13 Fedora Update System 2019-08-27 18:27:45 UTC
community-mysql-8.0.17-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-96516ce0ac

Comment 14 Fedora Update System 2019-09-04 02:28:11 UTC
mysql-8.0-3020190823234131.a5b0195c has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-04 03:11:45 UTC
community-mysql-8.0.17-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-04 03:18:39 UTC
mysql-8.0-2920190823234131.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-09-04 04:06:17 UTC
community-mysql-8.0.17-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.